# scantopdf

A quick bash script that wraps around tesseract and allows tesseract to work on pdfs of scans

## Installation
To install this script, just paste these commands in the terminal
```
git clone https://git.karma-riuk.com/karma/scantopdf /tmp/scantopdf
sudo cp /tmp/scantopdf/scantopdf /usr/local/bin/scantopdf
sudo chmod 755 /usr/local/bin/scantopdf
```

## Usage

To use this script, follow this steps
1. Open a terminal
2. Go the location of the file you want to "convert" with the following command
```
cd <path>
```
where `<path>` is the location of the **folder** where lies the file to convert.
3. Use the command `scantopdf` and give it, as an argument, the file you want to
   convert. **If the file name contains spaces, surround it with quotes `"`**
```
scantopdf "I Promessi Sposi.pdf"
```
Optionally you can give it the `-v` flag (before the name of the file), to make
the script verbose, so instead of doing its job without saying anything, it will
print each step that it's doing.
```
scantopdf -v "La Divina Commedia.pdf"
```
